org.keycloak.services

## Class ForbiddenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.LoggableFailure
          - - org.keycloak.services.ForbiddenException

- All Implemented Interfaces:
    Serializable

      public class ForbiddenException
      extends org.jboss.resteasy.spi.LoggableFailure

  To provide a typed exception for Forbidden (This doesn't exist in Resteasy 2.3.7)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForbiddenException()`
    `ForbiddenException(String s)`
    `ForbiddenException(String s, javax.ws.rs.core.Response response)`
    `ForbiddenException(String s, Throwable throwable)`
    `ForbiddenException(String s, Throwable throwable, javax.ws.rs.core.Response response)`
    `ForbiddenException(Throwable throwable)`
    `ForbiddenException(Throwable throwable, javax.ws.rs.core.Response response)`

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForbiddenException

          public ForbiddenException()

    - #### ForbiddenException

          public ForbiddenException(String s)

    - #### ForbiddenException

          public ForbiddenException(String s,
                                    javax.ws.rs.core.Response response)

    - #### ForbiddenException

          public ForbiddenException(String s,
                                    Throwable throwable,
                                    javax.ws.rs.core.Response response)

    - #### ForbiddenException

          public ForbiddenException(String s,
                                    Throwable throwable)

    - #### ForbiddenException

          public ForbiddenException(Throwable throwable)

    - #### ForbiddenException

          public ForbiddenException(Throwable throwable,
                                    javax.ws.rs.core.Response response)

Copyright © 2016 JBoss by Red Hat. All rights reserved.